Retrieves the integrations that the channel has. The endpoint requires at least one of the following integration permissions:
manage-incoming-integrationsmanage-own-incoming-integrationsmanage-outgoing-integrationsmanage-own-outgoing-integrations.
It will return the integrations based on the user's permission.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 1.1.0 | Separate permissions in incoming and outgoing. |
| 0.49.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
The room id.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
OK
{
"integrations": [
{
"_id": "WMQDChpnYTRmFre9h",
"enabled": true,
"username": "rocket.cat",
"alias": "Guggy",
"avatar": "http://res.guggy.com/logo_128.png",
"name": "Guggy",
"triggerWords": [
"!guggy",
"guggy",
"gif+"
],
"urls": [
"http://text2gif.guggy.com/guggify"
],
"token": "8DFS89DMKLWEN",
"script": "const config = {color: '#ffffff'};class Script{}",
"scriptEnabled": true,
"impersonateUser": false,
"scriptCompiled": "function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor));",
"scriptError": "",
"type": "webhook-outgoing",
"userId": "rocket.cat",
"channel": [],
"_createdAt": "2017-01-05T17:06:05.660Z",
"_createdBy": {
"username": "graywolf336",
"_id": "R4jgcQaQhvvK6K3iY"
},
"_updatedAt": "2017-01-05T17:06:05.660Z"
}
],
"success": true
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}